Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.util
Class IteratedSelectObserver

    java.lang.Object
      org.apache.cayenne.access.util.DefaultOperationObserver
          org.apache.cayenne.access.util.IteratedSelectObserver

All Implemented Interfaces:
  OperationHints, OperationObserver

    public class IteratedSelectObserver

extends DefaultOperationObserver

OperationObserver that is used to track the execution of SelectQueries with results returned as ResultIterator.

Field Summary
`protected ResultIterator` | `resultIterator`

Fields inherited from class org.apache.cayenne.access.util.DefaultOperationObserver
`globalExceptions, queryExceptions`

Constructor Summary
`IteratedSelectObserver()`

Method Summary
`ResultIterator` | `getResultIterator()`
`boolean` | `isIteratedResult()` Returns `false`.
`void` | `nextRows(Query query, List<?> dataRows)` Callback method invoked for each processed ResultSet.
`void` | `nextRows(Query q, ResultIterator it)` Closes ResultIterator without reading its data.

Methods inherited from class org.apache.cayenne.access.util.DefaultOperationObserver
`getGlobalExceptions, getQueryExceptions, hasExceptions, nextBatchCount, nextCount, nextGeneratedRows, nextGlobalException, nextQueryException, printExceptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resultIterator

    protected ResultIterator resultIterator

Constructor Detail

### IteratedSelectObserver

    public IteratedSelectObserver()

Method Detail

### isIteratedResult

    public boolean isIteratedResult()

  Description copied from class: `DefaultOperationObserver`
  Returns `false`.

  Specified by:
    `isIteratedResult` in interface `OperationHints`
  Overrides:
    `isIteratedResult` in class `DefaultOperationObserver`

### nextRows

    public void nextRows(Query query,
                         List<?> dataRows)

  Description copied from interface: `OperationObserver`
  Callback method invoked for each processed ResultSet.

  Specified by:
    `nextRows` in interface `OperationObserver`
  Overrides:
    `nextRows` in class `DefaultOperationObserver`

### nextRows

    public void nextRows(Query q,
                         ResultIterator it)

  Description copied from class: `DefaultOperationObserver`
  Closes ResultIterator without reading its data. If you implement a custom subclass, only call super if closing the iterator is what you need.

  Specified by:
    `nextRows` in interface `OperationObserver`
  Overrides:
    `nextRows` in class `DefaultOperationObserver`

### getResultIterator

    public ResultIterator getResultIterator()
                                     throws CayenneException

  Throws:
    `CayenneException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.